Loading...
Searching...
No Matches
robottestingframework::TestErrorException Class Reference

The TestErrorException class Error exception is used when test breakdown due to an error in setup, teardown or any configuration. More...

`#include <robottestingframework/Exception.h>`

Inheritance diagram for robottestingframework::TestErrorException:
[legend]

## Public Member Functions

| TestErrorException (const TestMessage &msg)
| TestErrorException (const TestErrorException &other)
Public Member Functions inherited from robottestingframework::Exception
| Exception (const Exception &other)
| Exception (const TestMessage &msg)
virtual | ~Exception () throw ()
const char * | what () const override throw ()
| what
const TestMessage & | message ()
| message

## Detailed Description

The TestErrorException class Error exception is used when test breakdown due to an error in setup, teardown or any configuration.

Definition at line 106 of file Exception.h.

## Constructor & Destructor Documentation

## TestErrorException() [1/2]

robottestingframework::TestErrorException::TestErrorException | ( | const TestMessage & | msg | ) |

inline

Definition at line 109 of file Exception.h.

## TestErrorException() [2/2]

robottestingframework::TestErrorException::TestErrorException | ( | const TestErrorException & | other | ) |

inline

Definition at line 114 of file Exception.h.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/Exception.h